HeyKoala Voice APIAPI
API referenceWebhooks

One webhook delivery, including the exact payload that was sent

GET
/webhooks/{id}/

Requires scope webhooks: read.

One webhook delivery, including the exact payload that was sent.

Authorization

ApiKeyAuth
AuthorizationBearer <token>

An API key minted at Settings → API Keys, sent as Authorization: Bearer hk_api_....

In: header

Path Parameters

id*string

Record id (UUID).

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/webhooks/string/"
{  "status": true,  "message": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "event": "string",    "url": "http://example.com",    "status": "pending",    "attempts": 0,    "max_attempts": 0,    "response_status": 0,    "error": "string",    "call_id": "0d0a16ab-a508-4d58-bf24-5dc3cb248f3e",    "created_at": "2019-08-24T14:15:22Z",    "delivered_at": "2019-08-24T14:15:22Z",    "payload": {      "property1": null,      "property2": null    },    "response_body": "string"  },  "error": null}